Panda3D

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
ObjectRef Class Reference

## Classes
class | FailedEval

## Public Member Functions
| __init__ (self, indirection, objId, other=None)
| __repr__ (self)
| destroy (self)
| getContainerGen (self, getInstance=False)
| getEvalStrGen (self, getInstance=False)
| getFinalIndirectionStr (self)
| getNumIndirections (self)
| goesThrough (self, obj=None, objId=None)
| goesThroughGen (self, obj=None, objId=None)

## Static Public Attributes
| notify = directNotify.newCategory("ObjectRef")

## Protected Member Functions
| _getContainerByEval (self, evalStr, curObj=None)

## Protected Attributes
list | _indirections = []

## Detailed Description

    stores a reference to a container in a way that does not prevent garbage
    collection of the container if possible
    stored as a series of 'indirections' (obj.foo -> '.foo', dict[key] -> '[key]', etc.)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | indirection,
|  |  | objId,
|  |  | other = None )

## Member Function Documentation

## ◆ __repr__()

__repr__ | ( |  | self | ) |

## ◆ _getContainerByEval()

_getContainerByEval | ( |  | self,
|  |  | evalStr,
|  |  | curObj = None )
| protected

## ◆ destroy()

destroy | ( |  | self | ) |

## ◆ getContainerGen()

getContainerGen | ( |  | self,
|  |  | getInstance = False )

## ◆ getEvalStrGen()

getEvalStrGen | ( |  | self,
|  |  | getInstance = False )

## ◆ getFinalIndirectionStr()

getFinalIndirectionStr | ( |  | self | ) |

## ◆ getNumIndirections()

getNumIndirections | ( |  | self | ) |

## ◆ goesThrough()

goesThrough | ( |  | self,
|  |  | obj = None,
|  |  | objId = None )

## ◆ goesThroughGen()

goesThroughGen | ( |  | self,
|  |  | obj = None,
|  |  | objId = None )

## Member Data Documentation

## ◆ _indirections

_indirections = []
| protected

## ◆ notify

notify = directNotify.newCategory("ObjectRef")
| static